Page MenuHomePhabricator

API error messages should be localised
Closed, DuplicatePublic

Description

Actually, the api returns only english error messages (code and info), see: https://github.com/wikimedia/mediawiki/blob/e369f66d0029594d1ce289f7a505d3ce20250828/includes/api/ApiBase.php#L1344

At least, the info message should be localised to the user language. Usage example: MobileFrontend displays the message in the info field for some error codes (https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/master/javascripts/modules/editor/EditorOverlay.js#L341).

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedCatrope
ResolvedSbailey
Resolved GWicke
Resolvedssastry
ResolvedNone
ResolvedDbrant
ResolvedbearND
ResolvedMholloway
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
DuplicateNone
ResolvedbearND
OpenNone
OpenNone
DeclinedNone
DuplicateNone
DeclinedNone
OpenNone
OpenNone
ResolvedArlolra
ResolvedMooeypoo
ResolvedCatrope
Resolved GWicke
OpenNone
Resolvedmarcoil
Resolvedmarcoil
Resolved GWicke
DuplicateNone
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
Resolvedmatmarex
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
DuplicateNone

Event Timeline

Florian created this task.Dec 13 2014, 8:20 PM
Florian updated the task description. (Show Details)
Florian raised the priority of this task from to Needs Triage.
Florian changed Security from none to None.
Florian added a subscriber: Florian.
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 19 2015, 6:18 PM
Jhernandez triaged this task as Normal priority.Aug 18 2015, 4:02 PM
Jhernandez edited projects, added MobileFrontend; removed Readers-Web-Backlog.